org.icefaces.ace.meta.annotation

## Annotation Type ClientEvent

-     @Target(value=TYPE)
       @Retention(value=RUNTIME)
      public @interface ClientEvent

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static java.lang.String` | `EMPTY`

  - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `name` Name of the client event supported by this component.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `argumentClass` Fully qualified class name of the argument supported by the listener method
    `java.lang.String` | `defaultExecute` Default execute attribute value.
    `java.lang.String` | `defaultRender` Default render attribute value.
    `java.lang.String` | `javadoc` javadocs for the component class.
    `java.lang.String` | `tlddoc` tld docs for the component class.

- - ### Field Detail

    - #### EMPTY

          public static final java.lang.String EMPTY

  - ### Element Detail

    - #### name

          public abstract java.lang.String name

      Name of the client event supported by this component.
      Returns:
        event names.

  - - #### javadoc

          public abstract java.lang.String javadoc

      javadocs for the component class. Goes into the component class.
      Returns:
        javadocs for the component class.
      Default:
        ""

  - - #### tlddoc

          public abstract java.lang.String tlddoc

      tld docs for the component class. Goes into the Tld documents.
      Returns:
        component doc for tld.
      Default:
        ""

  - - #### defaultRender

          public abstract java.lang.String defaultRender

      Default render attribute value.
      Returns:
        javadocs for the component class.
      Default:
        ""

  - - #### defaultExecute

          public abstract java.lang.String defaultExecute

      Default execute attribute value.
      Returns:
        component doc for tld.
      Default:
        ""

  - - #### argumentClass

          public abstract java.lang.String argumentClass

      Fully qualified class name of the argument supported by the listener method
      Returns:
        component doc for tld.
      Default:
        ""

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.